Loading...
Searching...
No Matches
pappso::QualifiedXic Class Reference

`#include <qualifiedxic.h>`

Inheritance diagram for pappso::QualifiedXic:

## Public Member Functions

| QualifiedXic (const MsRunId &msrun_id, pappso_double mz, PrecisionPtr precision)
virtual | ~QualifiedXic ()
| QualifiedXic (const QualifiedXic &toCopy)
pappso_double | getMz () const
const XicCstSPtr | getXicCstSPtr () const
const XicSPtr & | getXicSPtr () const

## Private Attributes

const MsRunId | m_msRunId
pappso_double | m_mz
PrecisionPtr | mp_precision
XicSPtr | msp_xic

## Detailed Description

Definition at line 44 of file qualifiedxic.h.

## Constructor & Destructor Documentation

## QualifiedXic() [1/2]

pappso::QualifiedXic::QualifiedXic | ( | const MsRunId & | msrun_id,
|  | pappso_double | mz,
|  | PrecisionPtr | precision )

Definition at line 33 of file qualifiedxic.cpp.

: m_msRunId(msrun_id), m_mz(mz), mp_precision(precision), msp_xic(Xic().makeXicSPtr())
{
qDebug() << "QualifiedXic::QualifiedXic begin";
}
pappso::QualifiedXic::mp_precision
PrecisionPtr mp_precision
Definition qualifiedxic.h:49
pappso::QualifiedXic::msp_xic
XicSPtr msp_xic
Definition qualifiedxic.h:51
pappso::QualifiedXic::m_msRunId
const MsRunId m_msRunId
Definition qualifiedxic.h:47
pappso::QualifiedXic::m_mz
pappso_double m_mz
Definition qualifiedxic.h:48

References m_msRunId, m_mz, mp_precision, and msp_xic.

Referenced by QualifiedXic(), pappso::XicPeptideFragmentIonNaturalIsotope::XicPeptideFragmentIonNaturalIsotope(), pappso::XicPeptideFragmentIonNaturalIsotope::XicPeptideFragmentIonNaturalIsotope(), and pappso::XicPeptideInterface::XicPeptideInterface().

## ~QualifiedXic()

pappso::QualifiedXic::~QualifiedXic | ( |  | ) |

virtual

Definition at line 39 of file qualifiedxic.cpp.

{
}

## QualifiedXic() [2/2]

pappso::QualifiedXic::QualifiedXic | ( | const QualifiedXic & | toCopy | ) |

Definition at line 44 of file qualifiedxic.cpp.

: m_msRunId(toCopy.m_msRunId),
m_mz(toCopy.m_mz),
mp_precision(toCopy.mp_precision),
msp_xic(toCopy.msp_xic)
{
qDebug() << "QualifiedXic::QualifiedXic copy begin";
}

References QualifiedXic(), m_msRunId, m_mz, mp_precision, and msp_xic.

## Member Function Documentation

## getMz()

pappso_double pappso::QualifiedXic::getMz | ( |  | ) | const

inline

Definition at line 62 of file qualifiedxic.h.

{
return m_mz;
};

References m_mz.

Referenced by pappso::XicPeptideFragmentIonNaturalIsotope::XicPeptideFragmentIonNaturalIsotope(), and pappso::XicPeptideInterface::XicPeptideInterface().

## getXicCstSPtr()

const XicCstSPtr pappso::QualifiedXic::getXicCstSPtr | ( |  | ) | const

inline

Definition at line 67 of file qualifiedxic.h.

{
return msp_xic;
}

References msp_xic.

## getXicSPtr()

const XicSPtr & pappso::QualifiedXic::getXicSPtr | ( |  | ) | const

inline

Definition at line 73 of file qualifiedxic.h.

{
return msp_xic;
}

References msp_xic.

## Member Data Documentation

## m_msRunId

const MsRunId pappso::QualifiedXic::m_msRunId

private

Definition at line 47 of file qualifiedxic.h.

Referenced by QualifiedXic(), and QualifiedXic().

## m_mz

pappso_double pappso::QualifiedXic::m_mz

private

Definition at line 48 of file qualifiedxic.h.

Referenced by QualifiedXic(), QualifiedXic(), and getMz().

## mp_precision

PrecisionPtr pappso::QualifiedXic::mp_precision

private

Definition at line 49 of file qualifiedxic.h.

Referenced by QualifiedXic(), and QualifiedXic().

## msp_xic

XicSPtr pappso::QualifiedXic::msp_xic

private

Definition at line 51 of file qualifiedxic.h.

Referenced by QualifiedXic(), QualifiedXic(), getXicCstSPtr(), and getXicSPtr().

The documentation for this class was generated from the following files:

- pappsomspp/core/xic/qualifiedxic.h
- pappsomspp/core/xic/qualifiedxic.cpp